<?php


namespace App\Photo\Model;

use \Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Details extends \Illuminate\Database\Eloquent\Model
{

    const fields = [
        "url","file_name","image_width","image_height","hit"
    ];

    public $table = "myp_xp_set_details";
    public $timestamps = false;

    public function __construct(array $attributes = [])
    {
        parent::__construct($attributes);
        $this->beforeValidationOnCreate();
    }

    public function beforeValidationOnCreate()
    {
        parent::beforeValidationOnCreate();
        $this->hit = 0;
        $this->is_del = 0;
        $this->create_time = date("Y-m-d H:i:s",time());
    }





}